Skip to main content
POST
Cancel a reward

Authorizations

Authorization
string
header
required

Path Parameters

reward_id
string
required

Extole-assigned unique identifier for the reward.

Body

application/json
message
string | null
required

Optional human-readable reason for the cancellation, stored for audit purposes.

Response

Successful response

action_id
string
required

Extole action id associated with this reward.

campaign_id
string
required

Extole campaign id associated with this reward.

cause_event_id
string
required

Id of the direct cause event that triggered this reward.

container
string
required

Campaign container the reward belongs to.

created_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

data
object
required

Named data parameters attached to this reward.

email
string | null
required

Email address of the reward recipient. Null if not available.

expires_at
string
required

RFC 3339 or RFC 9557 date-time with a numeric UTC offset and an optional IANA time-zone suffix in square brackets. Precision up to milliseconds.

Pattern: ^\d{4}-\d{2}-\d{2}T\d{2}:\d{2}:\d{2}(\.\d{1,3})?(Z|[+-](?:[01][0-9]|2[0-3]):[0-5][0-9])(\[[^\]]+\])?$
Example:

"2025-10-24T02:00:00-07:00"

face_value
number
required

Monetary or point face value of the reward.

face_value_type
enum<string>
required

Unit type of the face value (e.g. CASH, POINTS, PERCENT).

Available options:
AUD,
BRL,
CAD,
CNY,
EUR,
GBP,
HKD,
INR,
JPY,
KRW,
MONTH,
MXN,
NZD,
PERCENT_OFF,
POINTS,
TRY,
TWD,
USD
journey_key
object
required
journey_name
string
required

Name of the journey associated with this reward.

partner_reward_id
string | null
required

Partner-assigned identifier for this reward. Null if not yet assigned.

partner_reward_key_type
enum<string>
required

Type of key used to identify the reward at the partner's system.

Available options:
COUPON,
ID,
LINK
partner_reward_supplier_id
string | null
required

Partner-assigned identifier for the reward supplier. Null if not provided.

partner_user_id
string | null
required

Partner's identifier for the person. Null if not provided.

person_id
string
required

Extole person id of the reward recipient.

reward_id
string
required

Extole-assigned unique identifier for this reward.

reward_supplier_id
string
required

Extole reward supplier id that issued this reward.

root_event_id
string
required

Id of the root event that initiated the chain leading to this reward.

sandbox
string
required

Sandbox identifier for this reward.

state
enum<string>
required

Current lifecycle state of the reward.

Available options:
CANCELED,
EARNED,
FAILED,
FULFILLED,
REDEEMED,
REVOKED,
SENT